Bug 1634646 - python-fedora: Remove (sub)packages from Fedora 30+: python2-fedora-turbogears2
Summary: python-fedora: Remove (sub)packages from Fedora 30+: python2-fedora-turbogears2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fedora
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-10-01 09:03 UTC by Miro Hrončok
Modified: 2018-10-16 18:11 UTC (History)
9 users (show)

Fixed In Version: python-fedora-0.10.0-6.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:11:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1639452 None CLOSED Retire python-tgcaptcha2 in Fedora 30+ 2019-09-03 08:13:31 UTC

Internal Links: 1639452

Description Miro Hrončok 2018-10-01 09:03:33 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-fedora were marked for removal:

 * python2-fedora-turbogears2

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2018-10-15 18:41:03 UTC
python2-fedora-turbogears are still blocked by http://fedora.portingdb.xyz/pkg/python-tgcaptcha2/ but I guess we can remove that one.

This won't build because of python-psycopg2-2.7.5-5.fc30 not being in f30-build.

Comment 2 Miro Hrončok 2018-10-16 18:11:17 UTC
python-psycopg2-2.7.5-5.fc30  is available now. Built.

Closing now. Will open a new one for python2-fedora-turbogears after bz1639452 is closed.


Note You need to log in before you can comment on or make changes to this bug.